GDBserver

Functions
common-inferior.h File Reference

Go to the source code of this file.

## Functions
const char * | get_exec_wrapper ()
char * | get_exec_file (int err)
const char * | get_inferior_cwd ()
void | set_inferior_cwd (const char *cwd)

## Function Documentation

## ◆ get_exec_file()

char* get_exec_file | ( | int | err | ) |

Definition at line 266 of file server.c.

References _, error(), and program_name.

Referenced by fork_inferior().

## ◆ get_exec_wrapper()

const char* get_exec_wrapper | ( |  | ) |

Definition at line 258 of file server.c.

References wrapper_argv.

Referenced by execv_argv::init_for_shell(), and startup_inferior().

## ◆ get_inferior_cwd()

const char* get_inferior_cwd | ( |  | ) |

Definition at line 240 of file inferiors.c.

References current_inferior_cwd.

Referenced by create_process(), and fork_inferior().

## ◆ set_inferior_cwd()

void set_inferior_cwd | ( | const char * | cwd | ) |

Definition at line 248 of file inferiors.c.

References current_inferior_cwd, xfree(), and xstrdup().

Referenced by handle_general_set().